2

I searched the stack and even googled for an answer before posting here. I am new to linux (installed it only yesterday) I am running it from a virtualBox, it is the Santoku linux (which as far as I understand is based on lbuntu, so I hope this is the right place to post my question)

after updating the android sdk manager every time the machine was booting in I got an error staying that something is wrong with the android-tools-adb & android-tools-fastboot. I thought I probably was due to corrupt installation so I tried to reinstall the packages but I kept getting an error:

Errors were encountered while processing:
 /var/cache/apt/archives/android-tools-adb_4.2.2+git20130218-3ubuntu23_amd64.deb
 /var/cache/apt/archives/android-tools-fastboot_4.2.2+git20130218-3ubuntu23_amd64.deb

so I decided to removed, purged and cleaned these packages. Tried again to reinstall using:

sudo apt-get install android-tools-adb

to get just the adb tools, got the same error as above.

Here is what the I see in the terminal

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gir1.2-appindicator3-0.1 gir1.2-json-1.0 gir1.2-timezonemap-1.0
  gir1.2-xkl-1.0 libtimezonemap1 python3-cairo python3-gi-cairo
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  android-tools-adb
0 upgraded, 1 newly installed, 0 to remove and 10 not upgraded.
Need to get 0 B/65.8 kB of archives.
After this operation, 230 kB of additional disk space will be used.
(Reading database ... 254338 files and directories currently installed.)
Preparing to unpack .../android-tools-adb_4.2.2+git20130218-3ubuntu23_amd64.deb ...
Unpacking android-tools-adb (4.2.2+git20130218-3ubuntu23) ...
dpkg: error processing archive /var/cache/apt/archives/android-tools-adb_4.2.2+git20130218-3ubuntu23_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/adb', which is also in package android-sdk 23.0.2-ubuntu1
Errors were encountered while processing:
 /var/cache/apt/archives/android-tools-adb_4.2.2+git20130218-3ubuntu23_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Am I doing it all right? Or did I mess it up somewhere, or am I using the wrong command?

P.S. The android sdk manager doesn't work as well and it returns this error:

Invalid desktop entry file: '/usr/share/applications/santoku-androidsdk.desktop'

Thank you

  • Edit your question and add the output of apt-cache policy android-tools-adb android-sdk – A.B. Nov 1 '15 at 16:18
2

There only can be one.

dpkg: error processing archive /var/cache/apt/archives/android-tools-adb_4.2.2+git20130218-3ubuntu23_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/adb', which is also in package android-sdk 23.0.2-ubuntu1

First you have to remove the package android-sdk

sudo apt-get remove android-sdk

to install android-tools-adb.

After that execute

sudo apt-get install -f

to repair your package system.

  • Thanks A.B. That worked. so I removed the sdk then installed adb and fastboot. I got the same error when I was trying to install the sdk after the adb install. I decided to remove the vm and reinstall al from the start. Maybe I messed something there. – Rezkin Nov 1 '15 at 18:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.